Bug 1279243 - GNOME Control Center Network panel mangles IPv6 DNS server addresses
GNOME Control Center Network panel mangles IPv6 DNS server addresses
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-08 15:23 EST by Nicholas Miell
Modified: 2016-12-05 22:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-05 22:45:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 746932 None None None Never

  None (edit)
Description Nicholas Miell 2015-11-08 15:23:00 EST
Description of problem:
Saved IPv6 addresses are displayed as IPv4 addresses.

Version-Release number of selected component (if applicable):
control-center-3.18.1-1.fc23.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Add an IPv6 DNS server. (e.g. 2001:4860:4860::8888)
2. Save and close configuration window.
3. Open the configuration window again.

Actual results:
The IPv6 DNS server field contains a red-colored IPv4 address.

Expected results:
The IPv6 DNS server field contains the IPv6 address you just entered.

Additional info:
Note that this is purely a configuration loading issue -- the address is correctly saved and used by NetworkManager and can be displayed by e.g. "nmcli connection show Whatever".
Comment 1 Fedora End Of Life 2016-11-24 08:12:59 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Nicholas Miell 2016-12-05 22:45:38 EST
This was fixed in Fedora 25.

Note You need to log in before you can comment on or make changes to this bug.